sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`<div class="ui5-sn-root">${ context.showHeader ? block1() : undefined }${ context.items.length ? block2(context, tags, suffix) : undefined }<div class="ui5-sn-spacer"></div>${ context.fixedItems.length ? block6(context, tags, suffix) : undefined }</div> `;
	const block1 = (context, tags, suffix) => litRender.html`<slot name="header"></slot>`;
	const block2 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-tree", tags, suffix)} id="ui5-sn-items-tree" mode="None" ?_minimal="${litRender.ifDefined(context.collapsed)}" _toggle-button-end @ui5-item-click="${litRender.ifDefined(context.handleTreeItemClick)}">${ litRender.repeat(context._items, (item, index) => item._id || index, (item, index) => block3(item, index, context, tags, suffix)) }</${litRender.scopeTag("ui5-tree", tags, suffix)}>`;
	const block3 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-tree-item", tags, suffix)} icon="${litRender.ifDefined(item.item.icon)}" .associatedItem="${litRender.ifDefined(item.item)}" text="${litRender.ifDefined(item.item.text)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${ !context.collapsed ? block4(item, index, context, tags, suffix) : undefined }</${litRender.scopeTag("ui5-tree-item", tags, suffix)}>`;
	const block4 = (item, index, context, tags, suffix) => litRender.html`${ litRender.repeat(item.item.items, (item, index) => item._id || index, (item, index) => block5(item, index, context, tags, suffix)) }`;
	const block5 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-tree-item", tags, suffix)} .associatedItem="${litRender.ifDefined(item)}" text="${litRender.ifDefined(item.text)}" icon="${litRender.ifDefined(item.icon)}" ?selected="${item.selected}"></${litRender.scopeTag("ui5-tree-item", tags, suffix)}>`;
	const block6 = (context, tags, suffix) => litRender.html`<div><div class="ui5-sn-bottom-content-border"><span></span></div><${litRender.scopeTag("ui5-tree", tags, suffix)} id="ui5-sn-fixed-items-tree" mode="None" ?_minimal="${litRender.ifDefined(context.collapsed)}" _toggle-button-end @ui5-item-click="${litRender.ifDefined(context.handleTreeItemClick)}">${ litRender.repeat(context._fixedItems, (item, index) => item._id || index, (item, index) => block7(item, index, context, tags, suffix)) }</${litRender.scopeTag("ui5-tree", tags, suffix)}></div>`;
	const block7 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-tree-item", tags, suffix)} icon="${litRender.ifDefined(item.item.icon)}" .associatedItem="${litRender.ifDefined(item.item)}" text="${litRender.ifDefined(item.item.text)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${ !context.collapsed ? block8(item, index, context, tags, suffix) : undefined }</${litRender.scopeTag("ui5-tree-item", tags, suffix)}>`;
	const block8 = (item, index, context, tags, suffix) => litRender.html`${ litRender.repeat(item.item.items, (item, index) => item._id || index, (item, index) => block9(item, index, context, tags, suffix)) }`;
	const block9 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-tree-item", tags, suffix)} .associatedItem="${litRender.ifDefined(item)}" text="${litRender.ifDefined(item.text)}" ?selected="${item.selected}"></${litRender.scopeTag("ui5-tree-item", tags, suffix)}>`;

	return block0;

});
