sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`<section class="ui5-carousel-root" tabindex="0" role="listbox" aria-activedescendant="${litRender.ifDefined(context.ariaActiveDescendant)}" @focusin="${context._onfocusin}" @keydown=${context._onkeydown} @mouseout="${context._onmouseout}" @mouseover="${context._onmouseover}"><div class="${litRender.classMap(context.classes.viewport)}"><div class="${litRender.classMap(context.classes.content)}" style="${litRender.styleMap(context.styles.content)}">${ litRender.repeat(context.items, (item, index) => item._id || index, (item, index) => block1(item)) }</div></div>${ context.arrows.content ? block2(context, tags, suffix) : undefined }${ context.renderNavigation ? block3(context, tags, suffix) : undefined }</div></section> `;
	const block1 = (item, index, context, tags, suffix) => litRender.html`<div id="${litRender.ifDefined(item.id)}" class="ui5-carousel-item ${litRender.ifDefined(item.classes)}" style="width: ${litRender.ifDefined(item.width)}px;" role="option" aria-posinset="${litRender.ifDefined(item.posinset)}" aria-setsize="${litRender.ifDefined(item.setsize)}"><slot name="${litRender.ifDefined(item.item._individualSlot)}" tabindex="${litRender.ifDefined(item.tabIndex)}"></slot></div>`;
	const block2 = (context, tags, suffix) => litRender.html`<div class="ui5-carousel-navigation-arrows"><${litRender.scopeTag("ui5-button", tags, suffix)} arrow-back title="${litRender.ifDefined(context.previousPageText)}" class="ui5-carousel-navigation-button ${litRender.classMap(context.classes.navPrevButton)}" icon="slim-arrow-left" tabindex="-1" @click=${context.navigateLeft}></${litRender.scopeTag("ui5-button", tags, suffix)}><${litRender.scopeTag("ui5-button", tags, suffix)} arrow-forward title="${litRender.ifDefined(context.nextPageText)}" class="ui5-carousel-navigation-button ${litRender.classMap(context.classes.navNextButton)}" icon="slim-arrow-right" tabindex="-1" @click=${context.navigateRight}></${litRender.scopeTag("ui5-button", tags, suffix)}></div>`;
	const block3 = (context, tags, suffix) => litRender.html`<div class="${litRender.classMap(context.classes.navigation)}">${ context.arrows.navigation ? block4(context, tags, suffix) : undefined }<div class="ui5-carousel-navigation">${ !context.hidePageIndicator ? block5(context, tags, suffix) : undefined }</div>${ context.arrows.navigation ? block9(context, tags, suffix) : undefined }</div>`;
	const block4 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-button", tags, suffix)} arrow-back title="${litRender.ifDefined(context.previousPageText)}" class="ui5-carousel-navigation-button ${litRender.classMap(context.classes.navPrevButton)}" icon="slim-arrow-left" tabindex="-1" @click=${context.navigateLeft}></${litRender.scopeTag("ui5-button", tags, suffix)}>`;
	const block5 = (context, tags, suffix) => litRender.html`${ context.isPageTypeDots ? block6(context) : block8(context, tags, suffix) }`;
	const block6 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.dots, (item, index) => item._id || index, (item, index) => block7(item)) }`;
	const block7 = (item, index, context, tags, suffix) => litRender.html`<div role="img" aria-label="${litRender.ifDefined(item.ariaLabel)}" ?active="${item.active}" class="ui5-carousel-navigation-dot"></div>`;
	const block8 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-label", tags, suffix)}>${litRender.ifDefined(context.selectedIndexToShow)}&nbsp;${litRender.ifDefined(context.ofText)}&nbsp;${litRender.ifDefined(context.pagesCount)}</${litRender.scopeTag("ui5-label", tags, suffix)}>`;
	const block9 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-button", tags, suffix)} arrow-forward title="${litRender.ifDefined(context.nextPageText)}" class="ui5-carousel-navigation-button ${litRender.classMap(context.classes.navNextButton)}" icon="slim-arrow-right" tabindex="-1" @click=${context.navigateRight}></${litRender.scopeTag("ui5-button", tags, suffix)}>`;

	return block0;

});
