sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-responsive-popover", tags, suffix)} hide-arrow content-only-on-desktop _disable-initial-focus placement-type="Bottom" horizontal-align="Left" @ui5-after-open=${litRender.ifDefined(context._afterOpenPopover)} @ui5-after-close=${litRender.ifDefined(context._afterClosePopover)}><${litRender.scopeTag("ui5-busy-indicator", tags, suffix)} ?active=${context.loading} size="Medium" class="ui5-combobox-busy"></${litRender.scopeTag("ui5-busy-indicator", tags, suffix)}><div slot="header" class="ui5-responsive-popover-header"><div class="row"><span>${litRender.ifDefined(context._headerTitleText)}</span><${litRender.scopeTag("ui5-button", tags, suffix)} class="ui5-responsive-popover-close-btn" icon="decline" design="Transparent" @click="${context._closeRespPopover}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div><div class="row"><div class="input-root-phone" value-state="${litRender.ifDefined(context.valueState)}"><input class="ui5-input-inner-phone" .value="${litRender.ifDefined(context.value)}" inner-input placeholder="${litRender.ifDefined(context.placeholder)}" value-state="${litRender.ifDefined(context.valueState)}" @input="${context._input}" @change="${context._inputChange}" @keydown="${context._keydown}" aria-autocomplete="both" /></div></div>${ context.hasValueStateText ? block1(context) : undefined }</div>${ !context._isPhone ? block5(context) : undefined }<${litRender.scopeTag("ui5-list", tags, suffix)} separators="None" @ui5-item-click=${litRender.ifDefined(context._selectItem)} @ui5-item-focused=${litRender.ifDefined(context._onItemFocus)} @mousedown=${context._itemMousedown} mode="SingleSelect">${ litRender.repeat(context._filteredItems, (item, index) => item._id || index, (item, index) => block10(item, index, context, tags, suffix)) }</${litRender.scopeTag("ui5-list", tags, suffix)}><div slot="footer" class="ui5-responsive-popover-footer"><${litRender.scopeTag("ui5-button", tags, suffix)} design="Transparent" @click="${context._closeRespPopover}">OK</${litRender.scopeTag("ui5-button", tags, suffix)}></div></${litRender.scopeTag("ui5-responsive-popover", tags, suffix)}>${ context.shouldOpenValueStateMessagePopover ? block13(context, tags, suffix) : undefined }`;
	const block1 = (context, tags, suffix) => litRender.html`<div class="row ${litRender.classMap(context.classes.popoverValueState)}">${ context.shouldDisplayDefaultValueStateMessage ? block2(context) : block3(context) }</div>`;
	const block2 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block3 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block4(item)) }`;
	const block4 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block5 = (context, tags, suffix) => litRender.html`${ context.hasValueStateText ? block6(context) : undefined }`;
	const block6 = (context, tags, suffix) => litRender.html`<div class="ui5-responsive-popover-header ${litRender.classMap(context.classes.popoverValueState)}" style="${litRender.styleMap(context.styles.suggestionPopoverHeader)}">${ context.shouldDisplayDefaultValueStateMessage ? block7(context) : block8(context) }</div>`;
	const block7 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block8 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block9(item)) }`;
	const block9 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block10 = (item, index, context, tags, suffix) => litRender.html`${ item.isGroupItem ? block11(item, index, context, tags, suffix) : block12(item, index, context, tags, suffix) }`;
	const block11 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-li-groupheader", tags, suffix)} ?focused=${item.focused}>${litRender.ifDefined(item.text)}</${litRender.scopeTag("ui5-li-groupheader", tags, suffix)}>`;
	const block12 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-li", tags, suffix)} type="Active" additional-text=${litRender.ifDefined(item.additionalText)} group-name=${litRender.ifDefined(item.groupName)} ._tabIndex=${litRender.ifDefined(item.itemTabIndex)} .mappedItem=${litRender.ifDefined(item)} ?selected=${item.selected} ?focused=${item.focused}>${litRender.ifDefined(item.text)}</${litRender.scopeTag("ui5-li", tags, suffix)}>`;
	const block13 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-popover", tags, suffix)} skip-registry-update _disable-initial-focus prevent-focus-restore no-padding hide-arrow class="ui5-valuestatemessage-popover" placement-type="Bottom"><div slot="header" class="${litRender.classMap(context.classes.popoverValueState)}" style="${litRender.styleMap(context.styles.popoverHeader)}">${ context.shouldDisplayDefaultValueStateMessage ? block14(context) : block15(context) }</div></${litRender.scopeTag("ui5-popover", tags, suffix)}>`;
	const block14 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block15 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block16(item)) }`;
	const block16 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;

	return block0;

});
