sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`${ context.showSuggestions ? block1(context, tags, suffix) : undefined }${ context.hasValueStateMessage ? block17(context, tags, suffix) : undefined } `;
	const block1 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-responsive-popover", tags, suffix)} hide-arrow _disable-initial-focus placement-type="Bottom" horizontal-align="Left" style="${litRender.styleMap(context.styles.suggestionsPopover)}" @ui5-after-open="${litRender.ifDefined(context._afterOpenPopover)}" @ui5-after-close="${litRender.ifDefined(context._afterClosePopover)}" @ui5-scroll="${litRender.ifDefined(context._scroll)}">${ context._isPhone ? block2(context, tags, suffix) : undefined }${ !context._isPhone ? block7(context) : undefined }<${litRender.scopeTag("ui5-list", tags, suffix)} separators="${litRender.ifDefined(context.suggestionSeparators)}">${ litRender.repeat(context.suggestionsTexts, (item, index) => item._id || index, (item, index) => block12(item, index, context, tags, suffix)) }</${litRender.scopeTag("ui5-list", tags, suffix)}>${ context._isPhone ? block16(context, tags, suffix) : undefined }</${litRender.scopeTag("ui5-responsive-popover", tags, suffix)}>`;
	const block2 = (context, tags, suffix) => litRender.html`<div slot="header" class="ui5-responsive-popover-header"><div class="row"><span>${litRender.ifDefined(context._headerTitleText)}</span><${litRender.scopeTag("ui5-button", tags, suffix)} class="ui5-responsive-popover-close-btn" icon="decline" design="Transparent" @click="${context._closeRespPopover}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div><div class="row"><div class="input-root-phone"><input class="ui5-input-inner-phone" type="${litRender.ifDefined(context.inputType)}" .value="${litRender.ifDefined(context.value)}" inner-input placeholder="${litRender.ifDefined(context.placeholder)}" @input="${context._handleInput}" @change="${context._handleChange}" /></div></div>${ context.hasValueStateMessage ? block3(context) : undefined }</div>`;
	const block3 = (context, tags, suffix) => litRender.html`<div class="row ${litRender.classMap(context.classes.popoverValueState)}" style="${litRender.styleMap(context.styles.suggestionPopoverHeader)}">${ context.shouldDisplayDefaultValueStateMessage ? block4(context) : block5(context) }</div>`;
	const block4 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block5 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block6(item)) }`;
	const block6 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block7 = (context, tags, suffix) => litRender.html`${ context.hasValueStateMessage ? block8(context) : undefined }`;
	const block8 = (context, tags, suffix) => litRender.html`<div slot="header" class="ui5-responsive-popover-header ${litRender.classMap(context.classes.popoverValueState)}" style=${litRender.styleMap(context.styles.suggestionPopoverHeader)}>${ context.shouldDisplayDefaultValueStateMessage ? block9(context) : block10(context) }</div>`;
	const block9 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block10 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block11(item)) }`;
	const block11 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block12 = (item, index, context, tags, suffix) => litRender.html`${ item.groupItem ? block13(item, index, context, tags, suffix) : block14(item, index, context, tags, suffix) }`;
	const block13 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-li-groupheader", tags, suffix)} data-ui5-key="${litRender.ifDefined(item.key)}">${litRender.unsafeHTML(item.text)}</${litRender.scopeTag("ui5-li-groupheader", tags, suffix)}>`;
	const block14 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-li-suggestion-item", tags, suffix)} image="${litRender.ifDefined(item.image)}" icon="${litRender.ifDefined(item.icon)}" additional-text="${litRender.ifDefined(item.additionalText)}" type="${litRender.ifDefined(item.type)}" additional-text-state="${litRender.ifDefined(item.additionalTextState)}" @ui5-_item-press="${litRender.ifDefined(item.fnOnSuggestionItemPress)}" data-ui5-key="${litRender.ifDefined(item.key)}">${litRender.unsafeHTML(item.text)}${ item.description ? block15(item) : undefined }</${litRender.scopeTag("ui5-li-suggestion-item", tags, suffix)}>`;
	const block15 = (item, index, context, tags, suffix) => litRender.html`<span slot="richDescription">${litRender.unsafeHTML(item.description)}</span>`;
	const block16 = (context, tags, suffix) => litRender.html`<div slot="footer" class="ui5-responsive-popover-footer"><${litRender.scopeTag("ui5-button", tags, suffix)} design="Transparent" @click="${context._closeRespPopover}">OK</${litRender.scopeTag("ui5-button", tags, suffix)}></div>`;
	const block17 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-popover", tags, suffix)} skip-registry-update _disable-initial-focus prevent-focus-restore no-padding hide-arrow class="ui5-valuestatemessage-popover" placement-type="Bottom" horizontal-align="Left"><div slot="header" class="${litRender.classMap(context.classes.popoverValueState)}" style="${litRender.styleMap(context.styles.popoverHeader)}">${ context.shouldDisplayDefaultValueStateMessage ? block18(context) : block19(context) }</div></${litRender.scopeTag("ui5-popover", tags, suffix)}>`;
	const block18 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block19 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block20(item)) }`;
	const block20 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;

	return block0;

});
