sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`${ context.options ? block1(context, tags, suffix) : undefined }${ context.shouldOpenValueStateMessagePopover ? block13(context, tags, suffix) : undefined }`;
	const block1 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-responsive-popover", tags, suffix)} hide-arrow _disable-initial-focus placement-type="Bottom" horizontal-align="Left" @ui5-after-open="${litRender.ifDefined(context._afterOpen)}" @ui5-before-open="${litRender.ifDefined(context._beforeOpen)}" @ui5-after-close="${litRender.ifDefined(context._afterClose)}" @keydown="${context._onkeydown}">${ context._isPhone ? block2(context, tags, suffix) : undefined }${ !context._isPhone ? block7(context) : undefined }<${litRender.scopeTag("ui5-list", tags, suffix)} mode="SingleSelectAuto" separators="None" @mousedown="${context._itemMousedown}" @ui5-item-press="${litRender.ifDefined(context._handleItemPress)}">${ litRender.repeat(context._syncedOptions, (item, index) => item._id || index, (item, index) => block12(item, index, context, tags, suffix)) }</${litRender.scopeTag("ui5-list", tags, suffix)}></${litRender.scopeTag("ui5-responsive-popover", tags, suffix)}>`;
	const block2 = (context, tags, suffix) => litRender.html`<div slot="header" class="ui5-responsive-popover-header"><div class="row"><span>${litRender.ifDefined(context._headerTitleText)}</span><${litRender.scopeTag("ui5-button", tags, suffix)} class="ui5-responsive-popover-close-btn" icon="decline" design="Transparent" @click="${context._toggleRespPopover}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div>${ context.hasValueStateText ? block3(context) : undefined }</div>`;
	const block3 = (context, tags, suffix) => litRender.html`<div class="${litRender.classMap(context.classes.popoverValueState)} row ui5-select-value-state-dialog-header">${ context.shouldDisplayDefaultValueStateMessage ? block4(context) : block5(context) }</div>`;
	const block4 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block5 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block6(item)) }`;
	const block6 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block7 = (context, tags, suffix) => litRender.html`${ context.hasValueStateText ? block8(context) : undefined }`;
	const block8 = (context, tags, suffix) => litRender.html`<div slot="header" class="ui5-select-value-state-popover-padding ${litRender.classMap(context.classes.popoverValueState)}" style=${litRender.styleMap(context.styles.responsivePopoverHeader)}>${ context.shouldDisplayDefaultValueStateMessage ? block9(context) : block10(context) }</div>`;
	const block9 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block10 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block11(item)) }`;
	const block11 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;
	const block12 = (item, index, context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-li", tags, suffix)} id="${litRender.ifDefined(item.id)}-li" icon="${litRender.ifDefined(item.icon)}" ?selected="${item.selected}" ?focused="${item._focused}" ?disabled="${item.disabled}" ?aria-selected="${item.selected}" data-ui5-stable="${litRender.ifDefined(item.stableDomRef)}">${litRender.ifDefined(item.textContent)}</${litRender.scopeTag("ui5-li", tags, suffix)}>`;
	const block13 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-popover", tags, suffix)} skip-registry-update _disable-initial-focus prevent-focus-restore no-padding hide-arrow class="ui5-valuestatemessage-popover" placement-type="Bottom" horizontal-align="Left"><div slot="header" class="${litRender.classMap(context.classes.popoverValueState)}" style="${litRender.styleMap(context.styles.popoverHeader)}">${ context.shouldDisplayDefaultValueStateMessage ? block14(context) : block15(context) }</div></${litRender.scopeTag("ui5-popover", tags, suffix)}>`;
	const block14 = (context, tags, suffix) => litRender.html`${litRender.ifDefined(context.valueStateText)}`;
	const block15 = (context, tags, suffix) => litRender.html`${ litRender.repeat(context.valueStateMessageText, (item, index) => item._id || index, (item, index) => block16(item)) }`;
	const block16 = (item, index, context, tags, suffix) => litRender.html`${litRender.ifDefined(item)}`;

	return block0;

});
