sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`<div class="${litRender.classMap(context.classes.root)}" tabindex="-1" @keydown=${context._onkeydown} @focusin="${context._onfocusin}" @focusout="${context._onfocusout}">${ context._hasHoursSlider ? block1(context, tags, suffix) : undefined }${ context._hasMinutesSlider ? block2(context, tags, suffix) : undefined }${ context._hasSecondsSlider ? block3(context, tags, suffix) : undefined }${ context._hasPeriodsSlider ? block4(context, tags, suffix) : undefined }</div>`;
	const block1 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-wheelslider", tags, suffix)} label = "${litRender.ifDefined(context.hoursSliderTitle)}" ._items="${litRender.ifDefined(context.hoursArray)}" data-sap-focus-ref ?expanded="${context._hoursSliderFocused}" value="${litRender.ifDefined(context._hours)}" @ui5-select="${litRender.ifDefined(context.onHoursChange)}" @click="${context.selectSlider}" @focusin="${context.selectSlider}" data-sap-slider="hours" ?cyclic="${context._isCyclic}"></${litRender.scopeTag("ui5-wheelslider", tags, suffix)}>`;
	const block2 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-wheelslider", tags, suffix)} label = "${litRender.ifDefined(context.minutesSliderTitle)}" ._items="${litRender.ifDefined(context.minutesArray)}" ?expanded="${context._minutesSliderFocused}" value="${litRender.ifDefined(context._minutes)}" @ui5-select="${litRender.ifDefined(context.onMinutesChange)}" @click="${context.selectSlider}" @focusin="${context.selectSlider}" data-sap-slider="minutes" ?cyclic="${context._isCyclic}"></${litRender.scopeTag("ui5-wheelslider", tags, suffix)}>`;
	const block3 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-wheelslider", tags, suffix)} label = "${litRender.ifDefined(context.secondsSliderTitle)}" ._items="${litRender.ifDefined(context.secondsArray)}" ?expanded="${context._secondsSliderFocused}" value="${litRender.ifDefined(context._seconds)}" @ui5-select="${litRender.ifDefined(context.onSecondsChange)}" @click="${context.selectSlider}" @focusin="${context.selectSlider}" data-sap-slider="seconds" ?cyclic="${context._isCyclic}"></${litRender.scopeTag("ui5-wheelslider", tags, suffix)}>`;
	const block4 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-wheelslider", tags, suffix)} label = "${litRender.ifDefined(context.periodSliderTitle)}" ._items="${litRender.ifDefined(context.periodsArray)}" ?expanded="${context._periodSliderFocused}" value="${litRender.ifDefined(context._period)}" @ui5-select="${litRender.ifDefined(context.onPeriodChange)}" @click="${context.selectSlider}" @focusin="${context.selectSlider}" data-sap-slider="period"></${litRender.scopeTag("ui5-wheelslider", tags, suffix)}>`;

	return block0;

});
