sap.ui.define(['sap/ui/webc/common/thirdparty/base/renderer/LitRenderer'], function (litRender) { 'use strict';

	const block0 = (context, tags, suffix) => litRender.html`<li tabindex="${litRender.ifDefined(context.tabIndex)}" class="${litRender.classMap(context.classes.main)}" dir="${litRender.ifDefined(context.effectiveDir)}" @focusin="${context._onfocusin}" @focusout="${context._onfocusout}" @keyup="${context._onkeyup}" @keydown="${context._onkeydown}" @mouseup="${context._onmouseup}" @mousedown="${context._onmousedown}" @touchstart="${context._ontouchstart}" @touchend="${context._ontouchend}" @click="${context._onclick}" aria-selected="${litRender.ifDefined(context.ariaSelected)}" role="${litRender.ifDefined(context._accInfo.role)}" aria-expanded="${litRender.ifDefined(context._accInfo.ariaExpanded)}" title="${litRender.ifDefined(context.title)}" aria-level="${litRender.ifDefined(context._accInfo.ariaLevel)}" aria-posinset="${litRender.ifDefined(context._accInfo.posinset)}" aria-setsize="${litRender.ifDefined(context._accInfo.setsize)}" aria-labelledby="${litRender.ifDefined(context._id)}-invisibleText ${litRender.ifDefined(context._id)}-content" aria-disabled="${litRender.ifDefined(context.ariaDisabled)}" style="list-style-type: none;"><div class="ui5-li-tree-toggle-box" style="padding-left: ${litRender.ifDefined(context.effectiveLevel)}rem; padding-left: calc(var(--_ui5-tree-indent-step) * ${litRender.ifDefined(context.effectiveLevel)});">${ context._showToggleButtonBeginning ? block1(context, tags, suffix) : undefined }</div>${ context.placeSelectionElementBefore ? block2(context, tags, suffix) : undefined }<div id="${litRender.ifDefined(context._id)}-content" class="ui5-li-content">${ context.icon ? block6(context, tags, suffix) : undefined }<div class="ui5-li-tree-text-wrapper">${ context._showTitle ? block7() : undefined }${ context.additionalText ? block8(context) : undefined }</div></div>${ context._showToggleButtonEnd ? block9(context, tags, suffix) : undefined }${ context.typeDetail ? block10(context, tags, suffix) : undefined }${ context.placeSelectionElementAfter ? block11(context, tags, suffix) : undefined }<span id="${litRender.ifDefined(context._id)}-invisibleText" class="ui5-hidden-text">${litRender.ifDefined(context._accInfo.listItemAriaLabel)}${litRender.ifDefined(context.accessibleName)}</span></li> `;
	const block1 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-icon", tags, suffix)} class="ui5-li-tree-toggle-icon" name="${litRender.ifDefined(context._toggleIconName)}" show-tooltip accessible-name="${litRender.ifDefined(context.iconAccessibleName)}" @click="${context._toggleClick}"></${litRender.scopeTag("ui5-icon", tags, suffix)}>`;
	const block2 = (context, tags, suffix) => litRender.html`${ context.modeSingleSelect ? block3(context, tags, suffix) : undefined }${ context.modeMultiSelect ? block4(context, tags, suffix) : undefined }${ context.renderDeleteButton ? block5(context, tags, suffix) : undefined }`;
	const block3 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-radio-button", tags, suffix)} ?disabled="${context.isInactive}" tabindex="-1" id="${litRender.ifDefined(context._id)}-singleSelectionElement" class="ui5-li-singlesel-radiobtn" ?checked="${context.selected}" @click="${context.onSingleSelectionComponentPress}"></${litRender.scopeTag("ui5-radio-button", tags, suffix)}>`;
	const block4 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-checkbox", tags, suffix)} ?disabled="${context.isInactive}" tabindex="-1" id="${litRender.ifDefined(context._id)}-multiSelectionElement" class="ui5-li-multisel-cb" ?checked="${context.selected}" aria-label="${litRender.ifDefined(context._accInfo.ariaLabel)}" @click="${context.onMultiSelectionComponentPress}"></${litRender.scopeTag("ui5-checkbox", tags, suffix)}>`;
	const block5 = (context, tags, suffix) => litRender.html`<div class="ui5-li-deletebtn"><${litRender.scopeTag("ui5-button", tags, suffix)} tabindex="-1" data-sap-no-tab-ref id="${litRender.ifDefined(context._id)}-deleteSelectionElement" design="Transparent" icon="decline" ?disabled="${context.disableDeleteButton}" @click="${context.onDelete}" title="${litRender.ifDefined(context.deleteText)}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div>`;
	const block6 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-icon", tags, suffix)} part="icon" name="${litRender.ifDefined(context.icon)}" class="ui5-li-icon"></${litRender.scopeTag("ui5-icon", tags, suffix)}>`;
	const block7 = (context, tags, suffix) => litRender.html`<div part="title" class="ui5-li-title"><slot></slot></div>`;
	const block8 = (context, tags, suffix) => litRender.html`<span part="additional-text" class="ui5-li-additional-text">${litRender.ifDefined(context.additionalText)}</span>`;
	const block9 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-icon", tags, suffix)} class="ui5-li-tree-toggle-icon" name="${litRender.ifDefined(context._toggleIconName)}" @click="${context._toggleClick}"></${litRender.scopeTag("ui5-icon", tags, suffix)}>`;
	const block10 = (context, tags, suffix) => litRender.html`<div class="ui5-li-detailbtn"><${litRender.scopeTag("ui5-button", tags, suffix)} design="Transparent" icon="edit" @click="${context.onDetailClick}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div>`;
	const block11 = (context, tags, suffix) => litRender.html`${ context.modeSingleSelect ? block12(context, tags, suffix) : undefined }${ context.modeMultiSelect ? block13(context, tags, suffix) : undefined }${ context.renderDeleteButton ? block14(context, tags, suffix) : undefined }`;
	const block12 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-radio-button", tags, suffix)} ?disabled="${context.isInactive}" tabindex="-1" id="${litRender.ifDefined(context._id)}-singleSelectionElement" class="ui5-li-singlesel-radiobtn" ?checked="${context.selected}" @click="${context.onSingleSelectionComponentPress}"></${litRender.scopeTag("ui5-radio-button", tags, suffix)}>`;
	const block13 = (context, tags, suffix) => litRender.html`<${litRender.scopeTag("ui5-checkbox", tags, suffix)} ?disabled="${context.isInactive}" tabindex="-1" id="${litRender.ifDefined(context._id)}-multiSelectionElement" class="ui5-li-multisel-cb" ?checked="${context.selected}" aria-label="${litRender.ifDefined(context._accInfo.ariaLabel)}" @click="${context.onMultiSelectionComponentPress}"></${litRender.scopeTag("ui5-checkbox", tags, suffix)}>`;
	const block14 = (context, tags, suffix) => litRender.html`<div class="ui5-li-deletebtn"><${litRender.scopeTag("ui5-button", tags, suffix)} tabindex="-1" data-sap-no-tab-ref id="${litRender.ifDefined(context._id)}-deleteSelectionElement" design="Transparent" icon="decline" ?disabled="${context.disableDeleteButton}" @click="${context.onDelete}" title="${litRender.ifDefined(context.deleteText)}"></${litRender.scopeTag("ui5-button", tags, suffix)}></div>`;

	return block0;

});
